## calendar 0.0.1

=== DESCRIPTION ===
Package: calendar
Title: Create, Read, Write, and Work with 'iCalander' Files, Calendars
        and Scheduling Data
Version: 0.0.1
Authors@R: c(
    person("Robin", "Lovelace", email = "rob00x@gmail.com", role = c("aut", "cre"),
    comment = c(ORCID = "0000-0001-5679-6536")),
    person("Layik", "Hama", email = "layik.hama@gmail.com", role = c("aut"),
      comment = c(ORCID = "0000-0003-1912-4890"))
    )
Description: Provides function to create, read, write, and work with 'iCalander' files
  (which typically have '.ics' or '.ical' extensions), and the scheduling data,
  calendars and timelines of people, organisations and other entities that they represent.
  'iCalendar' is an open standard for
  exchanging calendar and scheduling information between users and computers, 
  described at <https://icalendar.org/>.
Depends: R (>= 3.4.0)
License: Apache License (>= 2.0)
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.1.1
Suggests: testthat, knitr, rmarkdown
Imports: methods, tibble, lubridate
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2019-02-05 11:59:18 UTC; robin
Author: Robin Lovelace [aut, cre] (<https://orcid.org/0000-0001-5679-6536>),
  Layik Hama [aut] (<https://orcid.org/0000-0003-1912-4890>)
Maintainer: Robin Lovelace <rob00x@gmail.com>
Repository: CRAN
Date/Publication: 2019-02-11 13:53:13 UTC

## calendar 0.1.0

=== DESCRIPTION ===
Package: calendar
Title: Create, Read, Write, and Work with 'iCalander' Files, Calendars
        and Scheduling Data
Version: 0.1.0
Authors@R: 
    c(person(given = "Robin",
             family = "Lovelace",
             role = c("aut", "cre"),
             email = "rob00x@gmail.com",
             comment = c(ORCID = "0000-0001-5679-6536")),
      person(given = "Layik",
             family = "Hama",
             role = "aut",
             email = "layik.hama@gmail.com",
             comment = c(ORCID = "0000-0003-1912-4890")),
      person(given = "Ollie",
             family = "Lloyd",
             role = "ctb",
             email = "o.lloyd@doctors.org.uk",
             comment = c(ORCID = "0000-0002-9385-1634")))
Description: Provides function to create, read, write, and work with
    'iCalander' files (which typically have '.ics' or '.ical' extensions),
    and the scheduling data, calendars and timelines of people,
    organisations and other entities that they represent.  'iCalendar' is
    an open standard for exchanging calendar and scheduling information
    between users and computers, described at <https://icalendar.org/>.
License: Apache License (>= 2.0)
URL: https://github.com/atfutures/calendar,
        https://atfutures.github.io/calendar/,
        https://github.com/ATFutures/calendar
BugReports: https://github.com/ATFutures/calendar/issues
Depends: R (>= 3.4.0)
Imports: lubridate, methods, tibble
Suggests: covr, knitr, rmarkdown, testthat
VignetteBuilder: knitr
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2024-04-28 05:34:44 UTC; robin
Author: Robin Lovelace [aut, cre] (<https://orcid.org/0000-0001-5679-6536>),
  Layik Hama [aut] (<https://orcid.org/0000-0003-1912-4890>),
  Ollie Lloyd [ctb] (<https://orcid.org/0000-0002-9385-1634>)
Maintainer: Robin Lovelace <rob00x@gmail.com>
Repository: CRAN
Date/Publication: 2024-04-28 05:50:02 UTC

## calendar 0.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: calendar
-Title: Create, Read, Write, and Work with 'iCalander' Files, Calendars
+Title: Create, Read, Write, and Work with 'iCalendar' Files, Calendars
         and Scheduling Data
-Version: 0.1.0
+Version: 0.2.0
 Authors@R: 
     c(person(given = "Robin",
              family = "Lovelace",
@@ -17,9 +17,20 @@
              family = "Lloyd",
              role = "ctb",
              email = "o.lloyd@doctors.org.uk",
-             comment = c(ORCID = "0000-0002-9385-1634")))
+             comment = c(ORCID = "0000-0002-9385-1634")),
+      person(given = "Franco",
+             family = "Scarafia",
+             role = "ctb",
+             email = "franco.scarafia@hotmail.com",
+             comment = c(ORCID = "0009-0005-9822-169X")),
+      person(given   = "Serkan", 
+             family  = "Korkmaz",
+             email   = "serkor1@duck.com", 
+             role    = c("ctb"),
+             comment = c(ORCID = "0000-0002-5052-0982"))
+    )
 Description: Provides function to create, read, write, and work with
-    'iCalander' files (which typically have '.ics' or '.ical' extensions),
+    'iCalendar' files (which typically have '.ics' or '.ical' extensions),
     and the scheduling data, calendars and timelines of people,
     organisations and other entities that they represent.  'iCalendar' is
     an open standard for exchanging calendar and scheduling information
@@ -30,17 +41,19 @@
         https://github.com/ATFutures/calendar
 BugReports: https://github.com/ATFutures/calendar/issues
 Depends: R (>= 3.4.0)
-Imports: lubridate, methods, tibble
+Imports: cli, lubridate, tibble
 Suggests: covr, knitr, rmarkdown, testthat
 VignetteBuilder: knitr
 Encoding: UTF-8
 LazyData: true
-RoxygenNote: 7.1.1
+RoxygenNote: 7.3.2
 NeedsCompilation: no
-Packaged: 2024-04-28 05:34:44 UTC; robin
+Packaged: 2024-08-20 00:14:50 UTC; robin
 Author: Robin Lovelace [aut, cre] (<https://orcid.org/0000-0001-5679-6536>),
   Layik Hama [aut] (<https://orcid.org/0000-0003-1912-4890>),
-  Ollie Lloyd [ctb] (<https://orcid.org/0000-0002-9385-1634>)
+  Ollie Lloyd [ctb] (<https://orcid.org/0000-0002-9385-1634>),
+  Franco Scarafia [ctb] (<https://orcid.org/0009-0005-9822-169X>),
+  Serkan Korkmaz [ctb] (<https://orcid.org/0000-0002-5052-0982>)
 Maintainer: Robin Lovelace <rob00x@gmail.com>
 Repository: CRAN
-Date/Publication: 2024-04-28 05:50:02 UTC
+Date/Publication: 2024-08-20 04:10:02 UTC

## calendar 2.03

=== debian/changelog ===
calendar (2.03-1build2) precise; urgency=low

  * Rebuild for OCaml 3.12.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 19 Nov 2011 00:38:57 +0000

calendar (2.03-1build1) oneiric; urgency=low

  * Rebuild to pick up ocaml fixes on armel.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 24 Aug 2011 16:26:23 -0600

calendar (2.03-1) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * debian/rules
    - switch {debhelper,dpatch}.mk: fix debian/*.log cleanup
  * debian/control: fix typo in long description (Closes: #557494)

  [ Stéphane Glondu ]
  * Install plugin only on natdynlink architectures
  * debian/control:
    - add myself to Uploaders, remove Stefano
    - replace Conflicts by Breaks
    - bump Standards-Version to 3.9.0

  [ Mehdi Dogguy ]
  * New upstream release.
    - Remove cmxs.dpatch (integrated upstream).
    - Remove meta.dpatch (integrated upstream).
  * Convert to 3.0 quilt format
    - Convert remaining patches to quilt format
    - Remove dpatch from b-deps
  * Remove hard-coded runtime dependencies
  * Bump dh-ocaml version to 0.9.5 in Build-Depends.
  * Update copyright file
  * Fix watch file

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 15 Apr 2011 23:55:04 +0200

calendar (2.01.1-6) unstable; urgency=low

  * debian/control
    - fix Mehdi's mail address, now that he is a DD
    - bump Standards-Version to 3.8.3 (no changes needed)
    - remove DM-Upload-Allowed (no longer needed)
  * switch to dh_ocaml for dependency calculation, add needed substvar and
    bump dh-ocaml build-dep accordingly. Keep hand-written dependency for
    the interim
  * Stop using ocamldoc-api-ref-config: it is gone (closes: #549773).
    While dh_ocamldoc lacks support for that, add a hand-written
    debian/libcalendar-ocaml-doc.doc-base .

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 06 Oct 2009 14:22:26 +0200

calendar (2.01.1-5) unstable; urgency=low

  * Update watch file
  * Fix FTBFS on non-native archs by not installing cmx files.

 -- Mehdi Dogguy <dogguy@pps.jussieu.fr>  Mon, 20 Apr 2009 10:17:07 +0200

calendar (2.01.1-4) unstable; urgency=low

  * debian/rules: installing upstream's documentation.
  * Move to new ocaml section.
  * Add cmxs.dpatch to build and install cmxs file.
  * Add two binary packages:
    - libcalendar-ocaml-doc: contains the API documentation, to not be
      forced to install libcalendar-ocaml-doc when you install
      libcalendar-ocaml-dev.
    - libcalendar-ocaml: contains the shared runtime libraries.
  * libcalendar-ocaml-dev depends on libcalendar-ocaml and suggests
    libcalendar-ocaml-doc.
  * Bump standards version to 3.8.1, no changes needed.
  * Restore upstream files after building.

 -- Mehdi Dogguy <dogguy@pps.jussieu.fr>  Sat, 21 Mar 2009 00:33:17 +0100

calendar (2.01.1-3) unstable; urgency=low

  [ Mehdi Dogguy ]
  * Add meta.dpatch to allow any executable to be linked using ocamlfind.
    (Closes: #520287)
  * Modify install_destdir.dpatch: not install cmi of then inner modules
    nor calendarLib.o
  * Add myself to uploaders
  * Add DMUA header (with Zack's blessing)

  [ Stefano Zacchiroli ]
  * debian/control: point Homepage field to the new forge project page

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 19 Mar 2009 15:53:32 +0100

calendar (2.01.1-2) unstable; urgency=low

  * debian/patches/*
    - install_destdir.dpatch: use $(wilcard...) to expand *.cmxa only if
      they are actually there. Fix FTBFS on byte archs. (Closes: #517702)

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 02 Mar 2009 23:08:38 +0100

calendar (2.01.1-1) unstable; urgency=low

  * New Upstream Version
  * Uploading to unstable
  * debian/rules: use ocaml.mk as a CDBS "rules" file
  * debian/control: bump versioned build-deps to induce dep-waits

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 28 Feb 2009 22:05:15 +0100

calendar (2.01-1) experimental; urgency=low

  [ Stefano Zacchiroli ]
  * make Vcs-* fields point to the new git repository
  * new upstream version
    - refresh patch install_destdir
  * debian/dirs.in: removed, dir creation is now delegated to Makefile
  * debian/control:
    - bump Standards-Version to 3.8.0 (no changes needed)
    - debhelper compatibility level: 7 (also affects debian/compat)
    - add missing ${misc:Depends} to dependencies (thanks Lintian)
  * rebuild against OCaml 3.11
    - stricten build-deps, for experimental build
    - add build-dep on dh-ocaml (which now ships the CDBS class)
    - remove no longer needed version specific deps
  * debian/svn-deblayout: removed (we use Git now)

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 18 Feb 2009 18:46:02 +0100

calendar (2.0.2-1.1) experimental; urgency=low

  * Rebuild with ocaml 3.10.2, NMU with maintainer's blessing.

 -- Ralf Treinen <treinen@debian.org>  Sat, 22 Mar 2008 21:19:52 +0100

calendar (2.0.2-1) unstable; urgency=low

  * new upstream release
  * fix vcs-svn field to point just above the debian/ dir
  * debian/patches/install_destdir.dpatch: refresh patch for new upstream

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 21 Mar 2008 14:52:33 +0100

calendar (1.10-3) unstable; urgency=low

  * add Homepage field to debian/control
  * update standards-version, no changes needed
  * setting me as an uploader and d-o-m as package maintainer

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 28 Dec 2007 19:21:08 +0100

calendar (1.10-2) unstable; urgency=low

  * bump debhelper build dep and compatibility level to 5
  * debian/control
    - bump ocaml-nox build dep to >= 3.10.0-8, to ensure the correct CDBS
      class is used
  * debian/rules
    - use the CDBS way of generating ocamldoc documentation, instead of the
      manual one (as a consequence also remove the "doc/" entry from
      debian/docs)
  * debian/doc-base
    - remove entry, now it is automatic generated during build

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 03 Sep 2007 22:10:19 +0200

calendar (1.10-1) experimental; urgency=low

  * new upstream release


=== debian/watch ===
version=3
http://forge.ocamlcore.org/frs/?group_id=83 \
	https://forge.ocamlcore.org/frs/download.php/.*/calendar-(.*).tar.gz

## calendar 2.03.2

=== debian/changelog ===
calendar (2.03.2-3) unstable; urgency=low

  * Upload to unstable
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Dec 2013 08:01:51 +0100

calendar (2.03.2-2) experimental; urgency=low

  * Compile with OCaml >= 4.01

 -- Stéphane Glondu <glondu@debian.org>  Mon, 11 Nov 2013 07:55:12 +0100

calendar (2.03.2-1) unstable; urgency=low

  * New upstream release
  * New debian/watch file by Bart Martens
  * Use format version 1.0 in debian/copyright
  * Bump Standards-Version to 3.9.4

 -- Stéphane Glondu <glondu@debian.org>  Wed, 08 May 2013 14:15:54 +0200

=== debian/control ===
Source: calendar
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>,
 Mehdi Dogguy <mehdi@debian.org>
Build-Depends:
 debhelper (>= 7.0.0),
 ocaml-nox (>= 4.01),
 ocaml-findlib (>= 1.4),
 dh-ocaml (>= 0.9.5~),
 cdbs
Standards-Version: 3.9.4
Homepage: http://calendar.forge.ocamlcore.org/
Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/calendar.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/calendar.git

Package: libcalendar-ocaml-dev
Architecture: any
Depends:
 ocaml-findlib,
 ${ocaml:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Suggests: libcalendar-ocaml-doc
Description: OCaml library providing operations over dates and times
 OCaml library implementing common date/time operations with
 timezones and pretty printing support.

Package: libcalendar-ocaml-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: OCaml library providing operations over dates and times
 OCaml library implementing common date/time operations with
 timezones and pretty printing support.
 .
 This package contains the library documentation.

Package: libcalendar-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Provides: ${ocaml:Provides}
Replaces: libcalendar-ocaml-dev (<< 2.01.1-4)
Breaks: libcalendar-ocaml-dev (<< 2.01.1-4)
Description: OCaml library providing operations over dates and times
 OCaml library implementing common date/time operations with
 timezones and pretty printing support.
 .
 This package contains the shared runtime libraries.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/ocaml.mk

PKGNAME = libcalendar-ocaml-dev
DESTDIR = $(CURDIR)/debian/tmp
DEB_MAKE_INSTALL_TARGET = install OCAML_LIB_DIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
FILES_TO_BACKUP = .depend config.status

configure/$(PKGNAME):: debian/configure-stamp
debian/configure-stamp:
	for i in $(FILES_TO_BACKUP); do \
		cp -xa $$i $$i.debian; \
	done
	./configure
	touch $@

clean::
	rm -rf target/
	for i in $(FILES_TO_BACKUP); do \
		[ ! -f $$i.debian ] || mv $$i.debian $$i; \
	done

=== debian/watch ===
version=3
http://calendar.forge.ocamlcore.org/ .*/calendar-(\d.*)\.(?:tgz|tbz2|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Fri, 23 Nov 2012 19:36:37 +0000

## calendar 2.04

=== debian/changelog ===
calendar (2.04-1build3) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Oct 2017 21:54:47 +0200

calendar (2.04-1build2) artful; urgency=high

  * No change rebuild against ocaml 4.04.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 27 Jun 2017 13:37:39 +0100

calendar (2.04-1build1) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Mon, 02 Nov 2015 18:06:53 -0600

calendar (2.04-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat level to 9
  * debian/rules: switch to dh style
  * Bump Standards-Version to 3.9.6
  * Use last changelog entry for build date (for reproducibility)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 19 May 2015 15:59:02 +0200

=== debian/control ===
Source: calendar
Section: ocaml
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>,
 Mehdi Dogguy <mehdi@debian.org>
Build-Depends:
 debhelper (>= 9),
 ocaml-nox (>= 4.01),
 ocaml-findlib (>= 1.4),
 dh-ocaml
Standards-Version: 3.9.6
Homepage: http://calendar.forge.ocamlcore.org/
Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/calendar.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/calendar.git

Package: libcalendar-ocaml-dev
Architecture: any
Depends:
 ocaml-findlib,
 ${ocaml:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Suggests: libcalendar-ocaml-doc
Description: OCaml library providing operations over dates and times (dev files)
 OCaml library implementing common date/time operations with
 timezones and pretty printing support.

Package: libcalendar-ocaml-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: OCaml library providing operations over dates and times (doc)
 OCaml library implementing common date/time operations with
 timezones and pretty printing support.
 .
 This package contains the library documentation.

Package: libcalendar-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Provides: ${ocaml:Provides}
Replaces: libcalendar-ocaml-dev (<< 2.01.1-4)
Breaks: libcalendar-ocaml-dev (<< 2.01.1-4)
Description: OCaml library providing operations over dates and times (runtime)
 OCaml library implementing common date/time operations with
 timezones and pretty printing support.
 .
 This package contains the shared runtime libraries.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/ocaml/ocamlvars.mk

DESTDIR = $(CURDIR)/debian/tmp
export OCAMLFIND_DESTDIR = $(DESTDIR)/$(OCAML_STDLIB_DIR)

FILES_TO_BACKUP = .depend config.status

%:
	dh $@ --with ocaml

override_dh_auto_configure:
	for i in $(FILES_TO_BACKUP); do \
		cp -xa $$i $$i.debian; \
	done
	./configure

override_dh_auto_build:
	make BUILD_DATE="$(shell dpkg-parsechangelog --show-field Date)"

override_dh_auto_install:
	mkdir -p $(OCAMLFIND_DESTDIR)
	make install

override_dh_auto_clean:
	rm -rf target/
	for i in $(FILES_TO_BACKUP); do \
		[ ! -f $$i.debian ] || mv $$i.debian $$i; \
	done

## calendar 3.0.0

=== Makefile ===

all: build test

build:
	@dune build @install

clean:
	@dune clean

test:
	@dune runtest --no-buffer --force

doc:
	@dune build @doc

.PHONY: all clean test doc

=== debian/changelog ===
calendar (3.0.0-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * New upstream release
  * Update Homepage
  * Bump debhelper compat level to 13
  * Add Rules-Requires-Root: no

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)
  * Update watch file format version to 4
  * Set debhelper-compat version in Build-Depends
  * Update standards version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Wed, 01 Feb 2023 09:49:46 +0100

calendar (2.04-3) unstable; urgency=medium

  * Fix call to date to make the build reproducible (Closes: #932302)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 17 Jul 2019 17:24:45 +0200

calendar (2.04-2) unstable; urgency=medium

  * Update Vcs-*
  * Bump Standards-Version to 4.4.0
  * Bump debhelper compat level to 12
  * Set Multi-Arch: foreign for libcalendar-ocaml-doc

 -- Stéphane Glondu <glondu@debian.org>  Tue, 16 Jul 2019 10:26:37 +0200

=== debian/control ===
Source: calendar
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>,
 Mehdi Dogguy <mehdi@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ocaml-dune,
 ocaml-nox,
 ocaml-findlib,
 ocaml-odoc,
 libre-ocaml-dev,
 libalcotest-ocaml-dev,
 dh-ocaml
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/ocaml-community/calendar
Vcs-Git: https://salsa.debian.org/ocaml-team/calendar.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/calendar

Package: libcalendar-ocaml-dev
Architecture: any
Depends:
 ocaml-findlib,
 ${ocaml:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Suggests: libcalendar-ocaml-doc
Description: OCaml library providing operations over dates and times (dev files)
 OCaml library implementing common date/time operations with
 timezones and pretty printing support.

Package: libcalendar-ocaml-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: OCaml library providing operations over dates and times (doc)
 OCaml library implementing common date/time operations with
 timezones and pretty printing support.
 .
 This package contains the library documentation.

Package: libcalendar-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: OCaml library providing operations over dates and times (runtime)
 OCaml library implementing common date/time operations with
 timezones and pretty printing support.
 .
 This package contains the shared runtime libraries.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/ocaml/ocamlvars.mk

DESTDIR = $(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p calendar
	dune build @doc -p calendar

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
	rm -f $(DESTDIR)/usr/doc/calendar/LICENSE

override_dh_auto_test:
	dune runtest -p calendar

=== debian/watch ===
version=4
https://forge.ocamlcore.org/frs/?group_id=83 .*/calendar-(\d.*)\.(?:tgz|tbz2|tar\.(?:gz|bz2|xz))
